#
# spec file for package perl-Mojolicious-Plugin-OAuth2
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Mojolicious-Plugin-OAuth2
Name:           perl-Mojolicious-Plugin-OAuth2
Version:        2.02
Release:        1.13
Summary:        Auth against OAuth2 APIs including OpenID Connect
License:        Artistic-2.0
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/J/JH/JHTHORSEN/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(IO::Socket::SSL) >= 1.94
BuildRequires:  perl(Mojolicious) >= 8.25
BuildRequires:  perl(Test::More) >= 0.88
Requires:       perl(IO::Socket::SSL) >= 1.94
Requires:       perl(Mojolicious) >= 8.25
Recommends:     perl(Crypt::OpenSSL::Bignum) >= 0.09
Recommends:     perl(Crypt::OpenSSL::RSA) >= 0.31
Recommends:     perl(Mojo::JWT) >= 0.09
%{perl_requires}

%description
This Mojolicious plugin allows you to easily authenticate against a at
http://oauth.net or at https://openid.net/connect/ provider. It includes
configurations for a few popular providers, but you can add your own as
well.

See register for a full list of bundled providers.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README README.md

%changelog
* Wed Feb  9 2022 Tina Müller <timueller+perl@suse.de>
- updated to 2.02
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-OAuth2/Changes
  2.02 2022-02-08T18:49:21+0900
  - Add support for passing in custom "ua"
  - Add support for "providers" key in plugin config
  - Add support for "proxy" in plugin config
* Sat Nov  6 2021 Stephan Kulow <coolo@suse.com>
- Remove last description paragraph talking about manual installation
  of modules, the recommends are in place
* Fri Oct 29 2021 Tina Müller <timueller+perl@suse.de>
- updated to 2.01
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-OAuth2/Changes
  2.01 2021-10-28T18:29:45+0900
  - Test suite is compatible with older versions of Mojolicious
  - OpenID Connect require Mojo::JWT 0.09
  2.00 2021-10-27T19:36:44+0900
  - Removed $c->oauth2->get_token()
    https://github.com/marcusramberg/Mojolicious-Plugin-OAuth2/blob/07e214eb556093de8691b145116b60ab64a4a21a/t/delayed.t#L23-L28
  - Add support for "OpenID Connect" #65
    Contributor: Roy Storey
  - Add "debian_salsa" as an OAuth2 id provider #62
    Contributor: Gregor Herrmann
  - Moved mock code to Mojolicious::Plugin::OAuth2::Mock
  - Bumped Mojolicious version to 8.25
* Wed Feb 17 2021 Tina Müller <timueller+perl@suse.de>
- updated to 1.59
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-OAuth2/Changes
  1.59 2021-02-17T08:33:17+0900
  - Fix invalid "=item" in documentation.
  - Compatible with Mojolicious 9.0
    Contributor: Joel Berger
* Fri Jun  5 2020 Tina Müller <tina.mueller@suse.com>
- Initial version 1.58
